IMFI - Bug #554

ISSUE Payroll THR Direct Minus Akibat Perubahan Work Schedule backdate dari Running Payroll
11/15/2021 04:19 PM - ikawati basri

Status: Closed Start date: 11/15/2021
Priority: High Due date: 12/03/2021
Assignee: ikawati basri % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours
Description

Mba Yoma,

Terdapat case di IMFI, terkait THR Direct (Retro) Minus yang terhitung di payroll bulan Mei. Kemungkinan yang telah di analisa
terkait penyebab terjadinya THR Direct (Retro) minus ini:

Issue THR Minus terjadi dikarenakan perhitungan THR prorate untuk employee yang bekerja < 1 Tahun dan adanya perubahan
work schedule employee setelah payroll April (THR dibayarkan di April), seperti gambar 1.

Sehingga terjadi retro payroll april di bulan Mei akibat perubahan data working schedule. Perubahan working schedule tersebut,
menyebabkan perubahan perhitungan Retro untuk THR, sehingga seolah-olah nilai THR yang dibayarkan di bulan April sebelumnya
lebih besar dari yang seharusnya dibayarkan berdasarkan data working schedule yang berubah tersebut, sehingga di payslip bulan
berikutnya (Mei) akan keluar THR Direct Minus yang nilainya sebesar selisih antara THR Direct yang terhitung sebelum perubahan
data Work Schedule dikurangi THR Direct yang terhitung setelah perubahan data Work Schedule.

Sehingga, untuk sementara untuk case ini, perlu untuk melakukan runningan ulang untuk employee-employee yang mengalami
THR Direct Minus di payslip bulan Mei dengan Retro ke bulan Mei (Bulan yang sama).

Namun, Seharusnya perhitungan pembayaran THR tidak ada kaitannya dengan data working schedule, karena kalau melihat dari
tabel CU0307 (Gambar 2):

ACTTGLTHRREF : YES

MINSERVMONTHTHR: 1

THRACTBASE: 365

THRSERVICEDAY: ACTUAL

Akibat adanya perubahan Working Schedule di bulan mei yang mengubah data WS dari april ke mei, sehingga terjadi retro dari April
ke Mei. Jika melihat dari nilai THR Diret di April, perhitungan THR Prorate nya menggunakan perhitungan dari tanggal Hiring sampai
tanggal lebaran, namun setelah terjadi Retro, perhitungan THR Prorate menggunakan perhitungan dari tanggal Hiring sampai
tanggal pembayaran THR-nya.Sehingga nilai yang terhitung di bulan Mei lebih sedikit dibandingkan yang terbayarkan di bulan April,
sehingga muncul di payslip bulan Mei menjadi THR Direct(Retro) yang nilainya minus.

History

#1 - 11/24/2021 03:04 PM - ikawati basri

Dear Mba Yoma,
Untuk case ini, sudah saya buatkan simulasi yang sama dengan yang ada di IMFI Prod di IMFI.
Port: http:/remote.minovais.com:7071/

User: minovais
pass: 123Aa

Employee ID: 20200693

Payroll Result: 0404 & 0504

Payslip: 202105

Workshedule yang diubah di antara bulan april ke mei (indikasi penyebab retro THR (minus)) = Branch Nonovertime (puasa)
Terimakasih.

Salam,

lka

#2 - 03/22/2022 05:58 PM - Tri Rizqgiaty

07/02/2025 12



http://remote.minovais.com:7071/

- Status changed from New to QA Test

- Assignee changed from Tri Rizqiaty to ikawati basri
Sudah disolve di redmine no. 387

#3 - 03/28/2022 09:35 AM - ikawati basri
- Status changed from QA Test to Closed

Work Schedule dengan kode Puasa berpengaruh terhadap perhitungan THR karyawan yang kondisinya di Prorate.
Sehingga, jika melakukan update data Work Schedule dengan kode Puasa, Start Date nya harus dibuat dari awal bulan puasa (tanggal 13 April

2021) dan End Date nya di hari lebaran (13 Mei 2021) , agar meskipun dilakukan update data work schedule yang backdate, tidak akan
menyebabkan pergerakan perhitungan THR karyawan.
